#include <X11/Ygl.h>
#include <unistd.h>

class MouseZoom {
public:
    MouseZoom (const int doublebuffer=1);
    ~MouseZoom ();
    
    void delete_map ();    
    
    void allocate_map ();
    
    void rect_read_outline (Screencoord xll, Screencoord yll, 
			    Screencoord xur, Screencoord yur);
    
    void rect_write_outline (Screencoord xll, Screencoord yll, 
			     Screencoord xur, Screencoord yur);

    int zoom (Coord *xl, Coord *xr, Coord *yl, Coord*yr,
	      const int zoom, const int ortho);    

    void set_doublebuffer (const int doublebuffer=1)
	{
	    dbuff = doublebuffer;
	}

private:
    Int16 **map;
    Int16 mx, my, mx1, my1;
    int dbuff;
};
